Move and resize PDF form fields in JavaScript

12 Feb 20261 minute to read

  • Move: Drag the form field to reposition it.
  • Resize: Use the resize handles to change width and height.

Moving and resizing a form field

Move and resize fields programmatically (API)

You can set absolute bounds or move fields by a delta.

Set absolute bounds

<button id="resizeMove">Resize and Move form fields</button>
// Move & resize by setting absolute bounds
document.getElementById('resizeMove').addEventListener('click', function () {
  // Retrieve form fields collection
  var fields = pdfviewer.retrieveFormFields();
  // Find the textbox field by name (Here field name is First Name)
  var field = (fields || []).find(function (f) { return f && f.name === 'First Name'; }) || (fields || [])[0]; // Update Name accordingly
  if (field) {
    // Update bounds to move or resize form fields
    pdfviewer.formDesignerModule.updateFormField(field, {
      bounds: { X: 140, Y: 210, Width: 220, Height: 24 } // new absolute position & size
    });
  }
});

See also

Move and Resize PDF Form Fields in Angular

24 Jul 20262 minutes to read

  • Move: Drag the form field to reposition it.
  • Resize: Use the resize handles to change width and height.

Moving and Resizing a form field

Move and Resize Fields Programmatically (API)

You can set absolute bounds to reposition and resize fields.

Set absolute bounds

import { Component, ViewChild } from '@angular/core';
import {
  ToolbarService,
  MagnificationService,
  NavigationService,
  AnnotationService,
  TextSelectionService,
  TextSearchService,
  FormFieldsService,
  FormDesignerService,
  PdfViewerModule,
  PdfViewerComponent,
} from '@syncfusion/ej2-angular-pdfviewer';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [PdfViewerModule],
  template: `
    <div class="content-wrapper">
      <button (click)="resizeMove()">Resize and Move FormFields</button>

      <ejs-pdfviewer #pdfViewer id="pdfViewer"
        [resourceUrl]="resourceUrl"
        [documentPath]="document"
        style="height: 640px; display: block;">
      </ejs-pdfviewer>
    </div>
  `,
  providers: [
    ToolbarService,
    MagnificationService,
    NavigationService,
    AnnotationService,
    TextSelectionService,
    TextSearchService,
    FormFieldsService,
    FormDesignerService,
  ],
})
export class AppComponent {
  public document: string = 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf';
  public resourceUrl: string = 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib';

  @ViewChild('pdfViewer') public pdfviewer!: PdfViewerComponent;

  resizeMove(): void {
    const fields = this.pdfviewer.retrieveFormFields();
    const field = fields.find((f: any) => f.name === 'First Name') || fields[0];
    if (field) {
      this.pdfviewer.formDesignerModule.updateFormField(field, {
        bounds: { X: 140, Y: 210, Width: 220, Height: 24 },
      } as any);
    }
  }
}

See also

Move and Resize PDF Form Fields in Vue

4 Feb 20262 minutes to read

  • Move: Drag the form field to reposition it.
  • Resize: Use the resize handles to change width and height.

Moveing and Resizing a form field

Move and Resize Fields Programmatically (API)

You can set absolute bounds or move fields by a delta.

Set absolute bounds

<template>
  <div>
    <button @click="resizeMove">Resize and Move FormFields</button>
    <ejs-pdfviewer id="pdfViewer" ref="pdfviewer" :documentPath="documentPath" :resourceUrl="resourceUrl" style="height:640px" />
  </div>
</template>

<script>
import {
  PdfViewerComponent,
  Toolbar,
  Magnification,
  Navigation,
  Annotation,
  TextSelection,
  TextSearch,
  FormFields,
  FormDesigner,
  PageOrganizer,
} from '@syncfusion/ej2-vue-pdfviewer';

export default {
  components: { 'ejs-pdfviewer': PdfViewerComponent },
  provide: { PdfViewer: [Toolbar, Magnification, Navigation, Annotation, TextSelection, TextSearch, FormFields, FormDesigner, PageOrganizer] },
  data() {
    return {
      documentPath: 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf',
      resourceUrl: 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib',
    };
  },
  methods: {
    resizeMove() {
      const pdfviewer = this.$refs.pdfviewer.ej2Instances;
      // Retrieve form fields collection
      const fields = pdfviewer.retrieveFormFields();
      // Find the textbox field by name (Here field name is First Name)
      const field = fields.find(f => f.name === 'First Name') || fields[0];
      if (field) {
        // Update bounds to move or resize form fields
        pdfviewer.formDesignerModule.updateFormField(field, {
          bounds: { X: 140, Y: 210, Width: 220, Height: 24 }, // new absolute position & size
        });
      }
    }
  }
};
</script>

See also

Move and Resize PDF Form Fields in React

25 Feb 20265 minutes to read

The PDF Viewer supports moving and resizing form fields.

  • Move: drag the form field to reposition it.
  • Resize: use the resize handles to change width and height.

Moving and resizing a form field using the Form Designer UI

Move and resize fields programmatically

The API supports setting absolute bounds or moving fields by a delta.

Set absolute bounds

import * as ReactDOM from 'react-dom/client';
import React, { useRef, useCallback } from 'react';
import './index.css';
import {
  PdfViewerComponent,
  Toolbar,
  Magnification,
  Navigation,
  LinkAnnotation,
  BookmarkView,
  ThumbnailView,
  Print,
  TextSelection,
  Annotation,
  TextSearch,
  FormDesigner,
  FormFields,
  Inject,
} from '@syncfusion/ej2-react-pdfviewer';

export function App() {
  const viewerRef = useRef(null);

  const onDocumentLoad = useCallback(() => {
    const viewer = viewerRef.current;
    if (!viewer) return;

    viewer.formDesignerModule.addFormField('Textbox', {
      name: 'First Name',
      bounds: { X: 146, Y: 229, Width: 150, Height: 24 },
    });

    viewer.formDesignerModule.addFormField('Password', {
      name: 'Password',
      bounds: { X: 338, Y: 229, Width: 150, Height: 24 },
    });

    viewer.formDesignerModule.addFormField('SignatureField', {
      name: 'Sign Here',
      bounds: { X: 146, Y: 280, Width: 200, Height: 43 },
    });
  }, []);

  const resizeAndMove = useCallback(() => {
    const viewer = viewerRef.current;
    if (!viewer) return;

    const fields = (viewer.retrieveFormFields?.() || viewer.formFieldCollection || []);
    if (!fields.length) return;

    const field = fields.find(f => f.name === 'First Name') || fields[0];
    if (!field) return;

    viewer.formDesignerModule.updateFormField(field, {
      bounds: { X: 140, Y: 210, Width: 220, Height: 24 },
    });
  }, []);

  return (
    <div>
      <div className="control-section">
        <div style=>
          <button onClick={resizeAndMove}>Resize and Move First Name</button>
        </div>

        <PdfViewerComponent
          ref={viewerRef}
          id="container"
          documentPath="https://cdn.syncfusion.com/content/pdf/form-designer.pdf"
          resourceUrl="https://cdn.syncfusion.com/ej2/31.2.2/dist/ej2-pdfviewer-lib"
          documentLoad={onDocumentLoad}
          style=
        >
          <Inject
            services={[
              Toolbar,
              Magnification,
              Navigation,
              Annotation,
              LinkAnnotation,
              BookmarkView,
              ThumbnailView,
              Print,
              TextSelection,
              TextSearch,
              FormDesigner,
              FormFields,
            ]}
          />
        </PdfViewerComponent>
      </div>
    </div>
  );
}

const root = ReactDOM.createRoot(document.getElementById('sample'));
root.render(<App />);

See also